import {db} from "../service/database"

const TableName = 'config';

interface config {
    id: number;
    name: string;
    code: string;
    config_data: string;
}


// 系统配置
const SYSTEM_CONFIG = 1000;


class SystemController {
    async queryConfig(id: number) {
        const systemConfig: config | null = await db.findOne(TableName, 'id = ?', [id]);
        return systemConfig;
    }

    async setConfig(config: config) {
        switch (config.id) {
            case SYSTEM_CONFIG: {
                const systemConfig: config | null = await db.findOne(TableName, 'id = ?', [SYSTEM_CONFIG]);
                if (systemConfig?.id) {
                    await db.update(TableName, 'id = ?', config, [SYSTEM_CONFIG]);
                } else {
                    await db.insert(TableName, config);
                }
            }
        }

    }
}

SystemController.toString = () => '[class SystemController]';

export default SystemController;
